* [gentoo-commits] repo/gentoo:master commit in: app-text/htmltidy/files/, app-text/htmltidy/
@ 2016-06-11 7:28 Hans de Graaff
0 siblings, 0 replies; 3+ messages in thread
From: Hans de Graaff @ 2016-06-11 7:28 UTC (permalink / raw
To: gentoo-commits
commit: 13afd657406d3bf133ccd10d9824127317253681
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 07:26:27 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 07:27:57 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13afd657
app-text/htmltidy: fix security bug 561452
Package-Manager: portage-2.2.28
app-text/htmltidy/files/11CVE-2015-5522.patch | 34 ++++++++++++
app-text/htmltidy/htmltidy-20090325-r2.ebuild | 80 +++++++++++++++++++++++++++
2 files changed, 114 insertions(+)
diff --git a/app-text/htmltidy/files/11CVE-2015-5522.patch b/app-text/htmltidy/files/11CVE-2015-5522.patch
new file mode 100644
index 0000000..b4d6158
--- /dev/null
+++ b/app-text/htmltidy/files/11CVE-2015-5522.patch
@@ -0,0 +1,34 @@
+From c18f27a58792f7fbd0b30a0ff50d6b40a82f940d Mon Sep 17 00:00:00 2001
+From: Geoff McLane <ubuntu@geoffair.info>
+Date: Wed, 3 Jun 2015 20:26:03 +0200
+Subject: [PATCH] Issue #217 - avoid len going negative, ever...
+
+---
+ src/lexer.c | 8 +++++---
+ 1 file changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/src/lexer.c b/src/lexer.c
+index 376a3d8..664f806 100644
+--- a/src/lexer.c
++++ b/src/lexer.c
+@@ -3739,16 +3740,17 @@ static tmbstr ParseValue( TidyDocImpl* doc, ctmbstr name,
+ /* and prompts attributes unless --literal-attributes is set to yes */
+ /* #994841 - Whitespace is removed from value attributes */
+
+- if (munge &&
++ /* Issue #217 - Also only if/while (len > 0) - MUST NEVER GO NEGATIVE! */
++ if ((len > 0) && munge &&
+ TY_(tmbstrcasecmp)(name, "alt") &&
+ TY_(tmbstrcasecmp)(name, "title") &&
+ TY_(tmbstrcasecmp)(name, "value") &&
+ TY_(tmbstrcasecmp)(name, "prompt"))
+ {
+- while (TY_(IsWhite)(lexer->lexbuf[start+len-1]))
++ while (TY_(IsWhite)(lexer->lexbuf[start+len-1]) && (len > 0))
+ --len;
+
+- while (TY_(IsWhite)(lexer->lexbuf[start]) && start < len)
++ while (TY_(IsWhite)(lexer->lexbuf[start]) && (start < len) && (len > 0))
+ {
+ ++start;
+ --len;
diff --git a/app-text/htmltidy/htmltidy-20090325-r2.ebuild b/app-text/htmltidy/htmltidy-20090325-r2.ebuild
new file mode 100644
index 0000000..b33f629
--- /dev/null
+++ b/app-text/htmltidy/htmltidy-20090325-r2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_PN="tidy"
+MY_P="${MY_PN}-${PV}"
+
+inherit eutils autotools
+
+DESCRIPTION="Tidy the layout and correct errors in HTML and XML documents"
+HOMEPAGE="http://tidy.sourceforge.net/"
+SRC_URI="mirror://gentoo/${MY_P}.tar.bz2
+ mirror://gentoo/${MY_P}-doc.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug doc static-libs"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ # Required to setup the source dist for autotools
+ einfo "Setting up autotools for source build"
+ cp -R ./build/gnuauto/* . || die "could not prepare autotools environment"
+
+ # Stop tidy from appending -O2 to our CFLAGS
+ epatch "${FILESDIR}"/htmltidy-5.10.26-strip-O2-flag.patch
+
+ # Define /etc/tidyrc for system wide config, bug 154834
+ epatch "${FILESDIR}"/htmltidy-20090325-tidyrc.patch
+
+ # Fix security bug 561452
+ epatch "${FILESDIR}"/11CVE-2015-5522.patch
+
+ eautoreconf
+}
+
+src_compile() {
+ default
+
+ if use doc ; then
+ doxygen htmldoc/doxygen.cfg || die "error making apidocs"
+ fi
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -exec rm -f {} +
+
+ # Now the man page is provided as an xsl file, which
+ # we can't use until htmltidy is merged.
+ # I have generated the man page and quickref which is on
+ # the mirrors. (bug #132429)
+ doman "${WORKDIR}"/"${MY_P}"-doc/tidy.1
+
+ # Fix name before installing
+ mv "${WORKDIR}"/"${MY_P}"-doc/quickref-html \
+ "${WORKDIR}"/"${MY_P}"-doc/quickref.html
+
+ cd "${S}"/htmldoc
+ # Install basic html documentation
+ dohtml *.html *.css *.gif "${WORKDIR}"/"${MY_P}"-doc/quickref.html
+
+ # If use 'doc' is set, then we also want to install the
+ # api documentation
+ use doc && dohtml -r api
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/htmltidy/files/, app-text/htmltidy/
@ 2021-08-01 21:36 Marek Szuba
0 siblings, 0 replies; 3+ messages in thread
From: Marek Szuba @ 2021-08-01 21:36 UTC (permalink / raw
To: gentoo-commits
commit: 3aff48e6019d403644a424bc4b80f59c8c7a67a5
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 1 21:35:49 2021 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sun Aug 1 21:36:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3aff48e6
app-text/htmltidy: add 5.8.0
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
app-text/htmltidy/Manifest | 1 +
.../files/htmltidy-5.8.0-no_static_lib.patch | 38 +++++++++++++++++++
app-text/htmltidy/htmltidy-5.8.0.ebuild | 44 ++++++++++++++++++++++
3 files changed, 83 insertions(+)
diff --git a/app-text/htmltidy/Manifest b/app-text/htmltidy/Manifest
index 64a9b40c624..bf1af04e9c9 100644
--- a/app-text/htmltidy/Manifest
+++ b/app-text/htmltidy/Manifest
@@ -1,2 +1,3 @@
+DIST htmltidy-5.8.0.tar.gz 1015303 BLAKE2B e8e48cfdcfffb7c7ac494f71ba709361e21fcbe5cfbd56c29d9d67ffe11fcdc20aa03aace65e6dc5315988dc0dd1fc148be616549f4f84f37928e662633bd7ec SHA512 f352165bdda5d1fca7bba3365560b64d6f70a4e010821cd246cde43bed5c23cea3408d461d3f889110fd35ec9b68aa2b4e95412b07775eb852b7ee1745007a44
DIST tidy-20090325-doc.tar.bz2 13319 BLAKE2B c55c5e10cdfbf0eb62685955cad24f628c21e612bd12c41018c139b3b93db95cc201888f6766d7f68f2d1c4d4cfb2cab25b668eff0d2d241462f4cf9b65e79e1 SHA512 0224d1f839f3829a9c879eba8a98ceee3b0c9f8bfe1721076859714428d534f492acd11e49992fccc2e45afd64d79067793c90f7af06d623ef89e7c16dfee35b
DIST tidy-20090325.tar.bz2 382016 BLAKE2B 3373e94d54cfef866e701e2e258be821b8749dbbbc37b10e4e4e4ba6d7f5995676161ac11bc6a2497f5e02c3907f680fabe9ac6dec2f2365aeb39c03b9697e0a SHA512 daeab2c3dd7f1248a5dbc1585267a8fdb0be09a940b79c3e53c97051f692cf85ea9f0a267f37e1c877054b77efb836d422a1e7ff61b22b383a2d2ac08939b970
diff --git a/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch b/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch
new file mode 100644
index 00000000000..d9b1d3f5e50
--- /dev/null
+++ b/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch
@@ -0,0 +1,38 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -394,35 +394,6 @@
+
+
+ #------------------------------------------------------------------------
+-# Static Library
+-# The static library always builds.
+-#------------------------------------------------------------------------
+-set(name tidy-static)
+-add_library ( ${name} STATIC ${CFILES} ${HFILES} ${LIBHFILES} )
+-if (WIN32)
+- set_target_properties( ${name} PROPERTIES
+- OUTPUT_NAME ${LIB_NAME}_static )
+-else ()
+- set_target_properties( ${name} PROPERTIES
+- OUTPUT_NAME ${LIB_NAME} )
+-
+-endif ()
+-if (NOT TIDY_CONSOLE_SHARED) # user wants default static linkage
+- list ( APPEND add_LIBS ${name} )
+-endif ()
+-install(TARGETS ${name}
+- RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+- ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+- LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+- )
+-install( FILES ${HFILES} DESTINATION ${INCLUDE_INSTALL_DIR} )
+-if(MSVC)
+- # install(FILES $<TARGET_PDB_FILE:${name}> DESTINATION lib OPTIONAL)
+- INSTALL(FILES ${PROJECT_BINARY_DIR}/${name}.dir/Debug/${name}.pdb
+- DESTINATION lib CONFIGURATIONS Debug )
+-endif()
+-
+-#------------------------------------------------------------------------
+ # Dynamic Library
+ # If the user option is still on.
+ #------------------------------------------------------------------------
diff --git a/app-text/htmltidy/htmltidy-5.8.0.ebuild b/app-text/htmltidy/htmltidy-5.8.0.ebuild
new file mode 100644
index 00000000000..5b1dd6ce6a2
--- /dev/null
+++ b/app-text/htmltidy/htmltidy-5.8.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+MY_PN="tidy-html5"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tidy the layout and correct errors in HTML and XML documents"
+HOMEPAGE="https://www.html-tidy.org/"
+SRC_URI="https://github.com/htacg/${MY_PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+# TODO: get this going - needs Ruby + a bunch of gems
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-no_static_lib.patch
+)
+
+DOCS=( README.md README/CHANGELOG.md )
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TAB2SPACE=ON # for compatibility with W3C versions
+ -DTIDY_COMPAT_HEADERS=ON # ditto
+ -DTIDY_CONSOLE_SHARED=ON
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ pushd regression_testing >/dev/null || die
+ # FIXME: use the correct Ruby interpreter
+ ./test.rb test || die "Test execution failed"
+ popd >/dev/null || die
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/htmltidy/files/, app-text/htmltidy/
@ 2023-10-22 11:03 Marek Szuba
0 siblings, 0 replies; 3+ messages in thread
From: Marek Szuba @ 2023-10-22 11:03 UTC (permalink / raw
To: gentoo-commits
commit: 31a4b6c93cc97cc69ee8c73120f09ceb4cebb786
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 22 10:34:57 2023 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sun Oct 22 11:03:35 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31a4b6c9
app-text/htmltidy: add upstream fix for <ol> attribute "type" in HTML5
Closes: https://bugs.gentoo.org/916074
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
.../htmltidy/files/htmltidy-5.8.0-ol_type.patch | 29 +++++++++
app-text/htmltidy/htmltidy-5.8.0-r2.ebuild | 74 ++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/app-text/htmltidy/files/htmltidy-5.8.0-ol_type.patch b/app-text/htmltidy/files/htmltidy-5.8.0-ol_type.patch
new file mode 100644
index 000000000000..22d716f01561
--- /dev/null
+++ b/app-text/htmltidy/files/htmltidy-5.8.0-ol_type.patch
@@ -0,0 +1,29 @@
+https://github.com/htacg/tidy-html5/issues/1012
+https://bugs.gentoo.org/916074
+
+commit e411ad0d2582471fe0961900b2789ee8b5b9cc4c
+Author: Markus Pister <pister@absint.com>
+Date: Wed Jan 5 08:30:10 2022 +0100
+
+ Attribute 'type' in tag 'ol' allowed for (X)HTML5
+
+ Mark the attribute 'type' as allowed for tag 'ol' in (X)HTML5.
+
+ The attribute type was deprecated in HTML4. This decision was reverted
+ for HTML5, see
+
+ https://www.w3.org/TR/2014/NOTE-html5-diff-20141209/#changed-attributes
+
+ This fixes htacg#1012.
+
+--- a/src/attrdict.c
++++ b/src/attrdict.c
+@@ -2321,7 +2321,7 @@ const AttrVersion TY_(W3CAttrsFor_OL)[] =
+ { TidyAttr_START, xxxx|HT32|H40T|H41T|X10T|H40F|H41F|X10F|xxxx|xxxx|xxxx|xxxx|xxxx|HT50|XH50 },
+ { TidyAttr_STYLE, xxxx|xxxx|H40T|H41T|X10T|H40F|H41F|X10F|H40S|H41S|X10S|XH11|xxxx|HT50|XH50 }, /* CORE override */
+ { TidyAttr_TITLE, xxxx|xxxx|H40T|H41T|X10T|H40F|H41F|X10F|H40S|H41S|X10S|XH11|XB10|HT50|XH50 }, /* CORE override */
+- { TidyAttr_TYPE, xxxx|HT32|H40T|H41T|X10T|H40F|H41F|X10F|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx },
++ { TidyAttr_TYPE, xxxx|HT32|H40T|H41T|X10T|H40F|H41F|X10F|xxxx|xxxx|xxxx|xxxx|xxxx|HT50|XH50 },
+ { TidyAttr_XMLNS, xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|xxxx|XH11|XB10|HT50|XH50 }, /* CORE override */
+ { TidyAttr_XML_LANG, xxxx|xxxx|xxxx|xxxx|X10T|xxxx|xxxx|X10F|xxxx|xxxx|X10S|XH11|XB10|xxxx|XH50 }, /* CORE override */
+ INCLUDE_CORE_ATTRIBS
diff --git a/app-text/htmltidy/htmltidy-5.8.0-r2.ebuild b/app-text/htmltidy/htmltidy-5.8.0-r2.ebuild
new file mode 100644
index 000000000000..74031ae33649
--- /dev/null
+++ b/app-text/htmltidy/htmltidy-5.8.0-r2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31 ruby32"
+RUBY_OPTIONAL="yes"
+
+inherit cmake ruby-ng
+
+MY_PN="tidy-html5"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tidy the layout and correct errors in HTML and XML documents"
+HOMEPAGE="https://www.html-tidy.org/"
+SRC_URI="https://github.com/htacg/${MY_PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/58" # subslot is SOVERSION
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="deprecated test"
+
+RESTRICT="!test? ( test )"
+ruby_add_bdepend "test? ( dev-ruby/thor dev-ruby/tty-editor )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-no_static_lib.patch
+ "${FILESDIR}"/${PN}-5.8.0-ol_type.patch
+)
+
+DOCS=( README.md README/CHANGELOG.md )
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+ use test && ruby-ng_pkg_setup
+}
+
+src_unpack() {
+ # suppress ruby-ng export
+ default
+}
+
+src_prepare() {
+ # suppress ruby-ng export
+ cmake_src_prepare
+}
+
+src_compile() {
+ # suppress ruby-ng export
+ cmake_src_compile
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DTIDY_CONSOLE_SHARED=ON
+ )
+ use deprecated && mycmakeargs+=(
+ -DBUILD_TAB2SPACE=ON
+ -DTIDY_COMPAT_HEADERS=ON
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ cd regression_testing || die
+ rm -f Gemfile.lock
+ ${RUBY} ./test.rb test -t "${BUILD_DIR}/tidy" || die "Test execution failed"
+}
+
+src_install() {
+ cmake_src_install
+ use deprecated && dobin "${BUILD_DIR}"/tab2space
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2023-10-22 11:03 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-06-11 7:28 [gentoo-commits] repo/gentoo:master commit in: app-text/htmltidy/files/, app-text/htmltidy/ Hans de Graaff
-- strict thread matches above, loose matches on Subject: below --
2021-08-01 21:36 Marek Szuba
2023-10-22 11:03 Marek Szuba
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox